:root
{
    --foreground: #ffffff;
    --midground: #888888;
    --background: #19131e;
    --dimming-top: rgba(25, 19, 30, 1);
    --dimming-bottom: rgba(25, 19, 30, 0.333); 
    --mtg-white: #fdf4d1;
    --mtg-white-faded: #cdc4b1;
    --mtg-blue: #68bff2;
    --mtg-black: #a285f6;
    --mtg-red: #ea6d67;
    --mtg-green: #a2cf77;
}

*
{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

a
{
    text-decoration: none;
    color: inherit;
}

header,footer,nav,main,section,figure,article,aside
{
    display: block;
}

html
{
    font-size: 3.2px;
    margin: 0;
    padding: 0;
    background: var(--background);
}

body
{
    font-size: 2.6rem;
    line-height: 1.333;
    margin: 0;
    padding: 0;
    font-family: -apple-system, "Helvetica Neue", Helvetica, sans-serif;
    color: var(--mtg-white);
}

header {
  background-image: url("hero.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center top;
}

.header-box-shadow
{
  box-shadow: 0 0 18rem black, 0 0 5rem black;
}

section
{
    max-width: 88.6rem;
    margin: 0 auto;
    padding: 4rem auto;
    clear: both;
    background: var(--background);
}

/* Rainbow divider before sections */
hr
{
    width: 88.6rem;
    border: 0;
    height: 0.35rem;
    margin: 4.5em auto 4em auto;
    display: block;
    background-image: -webkit-linear-gradient(0deg, transparent, var(--mtg-red), var(--mtg-black), var(--mtg-white), var(--mtg-blue), var(--mtg-green), transparent);
    clear: both;
}

main strong 
{
  color: var(--mtg-black);
}

main {
  background-color: var(--background);
  padding-bottom: 0;
  color: var(--mtg-white-faded);
}

section h2
{
    font-size: 2.4em;
    line-height: 1em;
    text-align: center;
}

h2.lede
{
    font-size: inherit;
    line-height: inherit;
    font-weight: 700;
}

h2.lede,
h2.lede+p
{
    display: inline;
}

header
{
    text-align: center;
    margin: 0 auto;
    position: relative;
}

#dimming
{
  padding-top: 3em;
  padding-bottom: 3em;
  background: linear-gradient(0deg, var(--dimming-bottom), var(--dimming-top));
}

header h1
{
    letter-spacing: -0.04em;
    font-size: 15.5vw;
    margin: 0 auto;
    line-height: 1em;
    position: relative;
    display: inline-block;
    font-weight: 700;
    left: -1vw;
    white-space: nowrap;
    z-index: 20000;
}

header h1:before
{
    display: inline-block;
    width: 0.9em;
    height: 0.9em;
    content: "";
    background-image: url(app-icon.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: 50% 50%;
    position: relative;
    top: 0.09em;
    left: 0.05em;
    box-sizing: border-box;
    z-index: 1;
}

header h2,
header p
{
    font-weight: 700;
    line-height: 1;
    margin: .65em auto;
    letter-spacing: -0.015em;
}

#store-buttons
{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    margin: 1em auto;
}

.store-button
{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    position: relative;
    transition: transform 150ms ease-in-out;
}

.store-button:hover
{
    transform: scale( 1.05 );
}

.store-button img
{
  display: block;
  height: 8.36rem;
  width: auto;
}

footer a
{
  color: var(--mtg-black);
}

footer a:hover
{
  color: var(--mtg-red);
}

figure.device-container 
{
  display: grid;
  position: relative;
  margin: 4rem auto 5rem auto;
  grid-template-rows: 1fr;
  grid-template-columns: 1fr;
}

div.device-edge 
{
  background: rgb(71,71,78);
  background: linear-gradient(25deg, rgba(101,101,108,1) 0%, rgba(174,165,186,1) 20%, rgba(76,67,89,1) 43%, rgba(143,148,189,1) 49%, rgba(75,74,92,1) 50%, rgba(174,165,180,1) 52%, rgba(81,81,99,1) 57%, rgba(163,160,191,1) 79%, rgba(106,97,114,1) 100%);
  padding: calc(0.3vw);
  border-radius: calc(2vw);
  box-shadow: 0 3px 12px black;
}

div.device-face 
{
  background: black;
  padding: calc(1.7vw);
  border-radius: calc(1.7vw);
}

figure video
{
  background: black;
  display: block;
  width: 100%;
  background-size: contain;
  background-repeat: no-repeat;
  grid-row: 1 / span 1;
  grid-column: 1 / span 1;
  color: transparent;
}

footer
{
    text-align: center;
    font-weight: 400;
    font-size: 1em;
    margin: 0 auto;
    padding-top: 1em;
    padding-bottom: 4em;
    background: var(--background);
    color: var(--mtg-white-faded);
}

footer p
{
    margin: 0 auto;
}

hr#after-header-hr
{
  margin: 0;
  width: 100%;
  max-width: 100%;
  background: rgba(255,255,255,0.08);
}

#intro
{
  padding-top: 2em;
  line-height: 1.25em;
  text-align: center;
  font-size: 1.75em;
  font-weight: 200;
  letter-spacing: 1;
  max-width: 72rem;
  margin: 0 auto 1em auto;
  text-shadow: 0 0 24px rgba(0,0,0,0.95);
}

#intro strong
{
  letter-spacing: -0.05;
}

hr#after-intro-hr
{
  margin: 0;
  margin-bottom: 4em;
  width: 100%;
  max-width: 100%;
  background: -webkit-linear-gradient(0deg, var(--mtg-red), var(--mtg-black), var(--mtg-white), var(--mtg-blue), var(--mtg-green));
}

#mox {
  background-color: var(--mtg-black);
  background-image: linear-gradient(90deg, var(--mtg-red), var(--mtg-black), var(--mtg-blue), var(--mtg-green));
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent; 
  -moz-text-fill-color: transparent;
}

#closing-hr
{
  background: var(--background);
  padding: 3em 0;
}

#closing-hr hr
{
  margin: 2em auto 0 auto;
}

#social-links {
  list-style: none;
  text-align: center;
  margin: 0;
  padding: 0;
}

#discord
{
  width: 5em;
  height: 5em;
  transition: transform 150ms ease-in-out;
}

#discord:hover
{
    transform: scale( 1.05 );
}

@media screen and (min-width: 240px)
{
    html { font-size: 1vw; }
    body { font-size: 5rem; }

    header p, header h2 { font-size: 1.5em; }
    
    .store-button img { height: 12rem; }

    #intro { font-size: 0.9em; margin-top: 2em; max-width:77rem; }
}

@media screen and (min-width: 620px)
{
    body { font-size: 2.6rem; }

    header p, header h2 { font-size: 2.5em; }

    .store-button img { height: 10rem; }

    #intro { font-size: 1.333em; margin-top: 0; max-width:77rem; }
}

@media screen and (min-width: 1000px)
{
    html { font-size: 10px; }

    .store-button img { height: 8.36rem; }
    
    header p, header h2 { font-size: 2.8em; }
    
    #intro { font-size: 1.666em; max-width:66rem; }
}

@media (pointer: fine)
{
  body{ 
    background-image: url("hero.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    background-attachment: fixed;
   }
   
   header {
     background: transparent;
   }
}
